<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__capsense__processing_8h" kind="file" language="C++">
    <compoundname>cy_capsense_processing.h</compoundname>
    <includes local="yes" refid="cy__capsense__common_8h">cy_capsense_common.h</includes>
    <includes local="yes" refid="cy__capsense__structure_8h">cy_capsense_structure.h</includes>
    <includes local="yes" refid="cy__capsense__lib_8h">cy_capsense_lib.h</includes>
    <includedby local="yes" refid="cy__capsense_8h">cy_capsense.h</includedby>
    <includedby local="yes" refid="cy__capsense__control_8c">cy_capsense_control.c</includedby>
    <includedby local="yes" refid="cy__capsense__processing_8c">cy_capsense_processing.c</includedby>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__capsense__high__level_1ga55fa694191705971b3aa2c29021fb9aa" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t Cy_CapSense_DecodeWidgetGestures</definition>
        <argsstring>(uint32_t widgetId, const cy_stc_capsense_context_t *context)</argsstring>
        <name>Cy_CapSense_DecodeWidgetGestures</name>
        <param>
          <type>uint32_t</type>
          <declname>widgetId</declname>
        </param>
        <param>
          <type>const <ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Performs decoding of all gestures for the specified widget. </para>        </briefdescription>
        <detaileddescription>
<para>This function should be called by application program only after all sensors are scanned and all data processing is executed using <ref kindref="member" refid="group__group__capsense__high__level_1ga2a185db228d5cae975fbc92bd3bc6367">Cy_CapSense_ProcessAllWidgets()</ref> or <ref kindref="member" refid="group__group__capsense__high__level_1ga52874ea98333723ec92aef1bb4791a7d">Cy_CapSense_ProcessWidget()</ref> functions for the widget. Calling this function multiple times without a new sensor scan and process causes unexpected behavior.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;The function (Gesture detection functionality) requires a timestamp for its operation. The timestamp should be initialized and maintained in the application program prior to calling this function. See the descriptions of the &lt;a href="group__group__capsense__high__level.html#group__group__capsense__high__level_1gabf0789f59e23077cba0005b1499468f9"&gt;Cy_CapSense_SetGestureTimestamp()&lt;/a&gt; and &lt;a href="group__group__capsense__high__level.html#group__group__capsense__high__level_1ga904eb69e694e4daf45bc778281b39d9e"&gt;Cy_CapSense_IncrementGestureTimestamp()&lt;/a&gt; functions for details.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>widgetId</parametername>
</parameternamelist>
<parameterdescription>
<para>Specifies the ID number of the widget. A macro for the widget ID can be found in the cycfg_capsense.h file defined as CY_CAPSENSE_&lt;WIDGET_NAME&gt;_WDGT_ID.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CapSense context structure <ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref>.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Returns the detected Gesture mask and direction of detected gestures. The same information is stored in ptrWdContext-&gt;gestureDetected and ptrWdContext-&gt;gestureDirection registers. Corresponding macros could be found <ref kindref="compound" refid="group__group__capsense__macros__gesture">Gesture Macros</ref>.<itemizedlist>
<listitem><para>bit[0..15] - detected gesture masks gesture<itemizedlist>
<listitem><para>bit[0] - one-finger single click gesture</para></listitem><listitem><para>bit[1] - one-finger double click gesture</para></listitem><listitem><para>bit[2] - one-finger click and drag gesture</para></listitem><listitem><para>bit[3] - two-finger single click gesture</para></listitem><listitem><para>bit[4] - one-finger scroll gesture</para></listitem><listitem><para>bit[5] - two-finger scroll gesture</para></listitem><listitem><para>bit[6] - one-finger edge swipe</para></listitem><listitem><para>bit[7] - one-finger flick</para></listitem><listitem><para>bit[8] - one-finger rotate</para></listitem><listitem><para>bit[9] - two-finger zoom</para></listitem><listitem><para>bit[13] - touchdown event</para></listitem><listitem><para>bit[14] - liftoff event</para></listitem></itemizedlist>
</para></listitem><listitem><para>bit[16..31] - gesture direction if detected<itemizedlist>
<listitem><para>bit[0..1] - direction of one-finger scroll gesture</para></listitem><listitem><para>bit[2..3] - direction of two-finger scroll gesture</para></listitem><listitem><para>bit[4..5] - direction of one-finger edge swipe gesture</para></listitem><listitem><para>bit[6] - direction of one-finger rotate gesture</para></listitem><listitem><para>bit[7] - direction of two-finger zoom gesture</para></listitem><listitem><para>bit[8..10] - direction of one-finger flick gesture</para></listitem></itemizedlist>
</para></listitem></itemizedlist>
</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para /></simplesect>
An example of gesture decoding: <programlisting><codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />If<sp />previous<sp />scan<sp />complete,<sp />process<sp />widget<sp />data<sp />and<sp />trigger<sp />the<sp />next<sp />scan<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__capsense__macros__general_1ga1bd45eed2be393b7f53c20f1bae2814e">CY_CAPSENSE_NOT_BUSY</ref><sp />==<sp /><ref kindref="member" refid="group__group__capsense__high__level_1ga7f8739755bba6b51c274f45b569b9ba0">Cy_CapSense_IsBusy</ref>(&amp;cy_capsense_context))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Increment<sp />timestamp<sp />before<sp />widget<sp />data<sp />processing<sp />if<sp />ballistic<sp />multiplier<sp />is<sp />enabled<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__capsense__high__level_1ga904eb69e694e4daf45bc778281b39d9e">Cy_CapSense_IncrementGestureTimestamp</ref>(&amp;cy_capsense_context);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Process<sp />widget<sp />data:<sp />Calculate<sp />diff<sp />counts,<sp />status,<sp />position,<sp />etc.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__capsense__high__level_1ga52874ea98333723ec92aef1bb4791a7d">Cy_CapSense_ProcessWidget</ref>(CY_CAPSENSE_TOUCHPAD0_WDGT_ID,<sp />&amp;cy_capsense_context);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Process<sp />gesture<sp />for<sp />the<sp />widget<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />gestureStatus<sp />=<sp /><ref kindref="member" refid="group__group__capsense__high__level_1ga55fa694191705971b3aa2c29021fb9aa">Cy_CapSense_DecodeWidgetGestures</ref>(CY_CAPSENSE_TOUCHPAD0_WDGT_ID,<sp />&amp;cy_capsense_context);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />The<sp />same<sp />gestureStatus<sp />can<sp />be<sp />read<sp />from<sp />the<sp />following<sp />registers<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />gestureStatus<sp />=<sp />cy_capsense_context.ptrWdContext[CY_CAPSENSE_TOUCHPAD0_WDGT_ID].gestureDetected<sp />|</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(cy_capsense_context.ptrWdContext[CY_CAPSENSE_TOUCHPAD0_WDGT_ID].gestureDirection<sp />&lt;&lt;<sp /><ref kindref="member" refid="group__group__capsense__macros__gesture_1ga3bfd7aa90e3ef1bf3c124c90ec9c2e13">CY_CAPSENSE_GESTURE_DIRECTION_OFFSET</ref>);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />#if<sp />(!defined(CY_IP_M0S8MSCV3))</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Configure<sp />the<sp />widget<sp />if<sp />previously<sp />configured<sp />widget<sp />was<sp />not<sp />TOUCHPAD0<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__capsense__high__level_1ga9f798069c57bf91f7ce2bc19bb086191">Cy_CapSense_SetupWidget</ref>(CY_CAPSENSE_TOUCHPAD0_WDGT_ID,<sp />&amp;cy_capsense_context);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Trigger<sp />the<sp />next<sp />scan<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__capsense__high__level_1ga6473761292c2696bdea571b8bb10b308">Cy_CapSense_Scan</ref>(&amp;cy_capsense_context);</highlight></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />#else</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_CapSense_ScanWidget(CY_CAPSENSE_TOUCHPAD0_WDGT_ID,<sp />&amp;cy_capsense_context);</highlight></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />#endif</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
</programlisting> An example of gesture status parsing: <programlisting><codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />If<sp />Two-finger<sp />Scroll<sp />gesture<sp />is<sp />detected<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__capsense__macros__gesture_1ga438d3109bdaa4dd9bd2a5653c37322f5">CY_CAPSENSE_GESTURE_NO_GESTURE</ref><sp />!=<sp />(gestureStatus<sp />&amp;<sp /><ref kindref="member" refid="group__group__capsense__macros__gesture_1gae8a61309c25e5255fa4a46436384184d">CY_CAPSENSE_GESTURE_TWO_FNGR_SCROLL_MASK</ref>))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Get<sp />gesture<sp />direction<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />direction<sp />=<sp />(gestureStatus<sp />&gt;&gt;<sp /><ref kindref="member" refid="group__group__capsense__macros__gesture_1ga3bfd7aa90e3ef1bf3c124c90ec9c2e13">CY_CAPSENSE_GESTURE_DIRECTION_OFFSET</ref>)<sp />&amp;<sp /><ref kindref="member" refid="group__group__capsense__macros__gesture_1ga2b1afba16625a4f234e167a4580f28af">CY_CAPSENSE_GESTURE_DIRECTION_MASK_TWO_SCROLL</ref>;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">switch</highlight><highlight class="normal"><sp />(direction<sp />&gt;&gt;<sp /><ref kindref="member" refid="group__group__capsense__macros__gesture_1gab65415405b4a5a8e2dcd432aeba8dad5">CY_CAPSENSE_GESTURE_DIRECTION_OFFSET_TWO_SCROLL</ref>)</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">case</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__capsense__macros__gesture_1gad81547dd95beb218449d8d209d6f2d90">CY_CAPSENSE_GESTURE_DIRECTION_UP</ref>:</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />UP<sp />is<sp />detected<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">break</highlight><highlight class="normal">;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">case</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__capsense__macros__gesture_1gac6a805800ada8e6f499d063f45fb8ba8">CY_CAPSENSE_GESTURE_DIRECTION_DOWN</ref>:</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />DOWN<sp />is<sp />detected<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">break</highlight><highlight class="normal">;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">case</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__capsense__macros__gesture_1ga5660ae39ff90e08e33a71508d3059817">CY_CAPSENSE_GESTURE_DIRECTION_LEFT</ref>:</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />LEFT<sp />is<sp />detected<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">break</highlight><highlight class="normal">;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">case</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__capsense__macros__gesture_1gabeb98d13bdc3570bca825b5a5d4a4ae0">CY_CAPSENSE_GESTURE_DIRECTION_RIGHT</ref>:</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />RIGHT<sp />is<sp />detected<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">break</highlight><highlight class="normal">;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
</programlisting></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="357" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_processing.c" bodystart="320" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_processing.h" line="43" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__capsense__low__level_1ga1a42bc8b8c045d4c4fa3ea9b4411c247" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_CapSense_InitializeWidgetGestures</definition>
        <argsstring>(uint32_t widgetId, const cy_stc_capsense_context_t *context)</argsstring>
        <name>Cy_CapSense_InitializeWidgetGestures</name>
        <param>
          <type>uint32_t</type>
          <declname>widgetId</declname>
        </param>
        <param>
          <type>const <ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Performs initialization of all gestures for the specified widget. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>widgetId</parametername>
</parameternamelist>
<parameterdescription>
<para>Specifies the ID number of the widget. A macro for the widget ID can be found in the cycfg_capsense.h file defined as CY_CAPSENSE_&lt;WIDGET_NAME&gt;_WDGT_ID.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CapSense context structure <ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref>. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="257" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_processing.c" bodystart="237" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_processing.h" line="51" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__capsense__low__level_1ga91d3ccdc21ed235f4e3b61a0a583c7a1" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_CapSense_InitializeAllStatuses</definition>
        <argsstring>(const cy_stc_capsense_context_t *context)</argsstring>
        <name>Cy_CapSense_InitializeAllStatuses</name>
        <param>
          <type>const <ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Performs initialization of all statuses and related modules including debounce counters and touch positions of all the widgets. </para>        </briefdescription>
        <detaileddescription>
<para>The initialization includes the following tasks:<itemizedlist>
<listitem><para>Reset the debounce counters of all the widgets.</para></listitem><listitem><para>Reset the number of touches.</para></listitem><listitem><para>Reset the position filter history for slider and touchpad widgets.</para></listitem><listitem><para>Clear all status of widgets and sensors.</para></listitem><listitem><para>Enable all the widgets.</para></listitem></itemizedlist>
</para><para>Calling this function is accompanied by<itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__capsense__low__level_1ga55216d9c145b2ab42d7cec23960fb31e">Cy_CapSense_InitializeAllBaselines()</ref>.</para></listitem><listitem><para><ref kindref="member" refid="group__group__capsense__low__level_1ga1fcb002d0216bb96ab818276954606e7">Cy_CapSense_InitializeAllFilters()</ref>.</para></listitem></itemizedlist>
</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CapSense context structure <ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref>. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="68" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_processing.c" bodystart="59" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_processing.h" line="54" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__capsense__low__level_1ga0cd8087cced318d7a2ddd0aabe5d0b65" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_CapSense_InitializeWidgetStatus</definition>
        <argsstring>(uint32_t widgetId, const cy_stc_capsense_context_t *context)</argsstring>
        <name>Cy_CapSense_InitializeWidgetStatus</name>
        <param>
          <type>uint32_t</type>
          <declname>widgetId</declname>
        </param>
        <param>
          <type>const <ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Performs initialization of all statuses, debounce counters, and touch positions of the specified widget. </para>        </briefdescription>
        <detaileddescription>
<para>The initialization includes:<itemizedlist>
<listitem><para>Resets the debounce counter of the widget.</para></listitem><listitem><para>Resets the number of touches.</para></listitem><listitem><para>Resets the position filter history for slider and touchpad widgets.</para></listitem><listitem><para>Clears widget and sensor statuses.</para></listitem><listitem><para>Enables the widget.</para></listitem></itemizedlist>
</para><para>The Button and Matrix Button widgets have individual debounce counters per sensor for the CSD widgets and per node for the CSX widgets.</para><para>The Slider and Touchpad widgets have a single debounce counter per widget.</para><para>The Proximity widget has two debounce counters per sensor. One is for the proximity event and the second is for the touch event.</para><para>All debounce counters during initialization are set to the value of the onDebounce widget parameter.</para><para>Calling this function is accompanied by<itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__capsense__low__level_1gae217c3d40eff007bf28add89814f17d2">Cy_CapSense_InitializeWidgetBaseline()</ref>.</para></listitem><listitem><para><ref kindref="member" refid="group__group__capsense__low__level_1ga101174469c4b6a2df8d44bddb0e33fcf">Cy_CapSense_InitializeWidgetFilter()</ref>.</para></listitem></itemizedlist>
</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>widgetId</parametername>
</parameternamelist>
<parameterdescription>
<para>Specifies the ID number of the widget. A macro for the widget ID can be found in the cycfg_capsense.h file defined as CY_CAPSENSE_&lt;WIDGET_NAME&gt;_WDGT_ID.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CapSense context structure <ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref>. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="220" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_processing.c" bodystart="108" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_processing.h" line="55" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This file provides the function prototypes for the Data Processing module. The Data Processing module is responsible for the low level raw counts processing provided by the sensing module, maintaining baseline and difference values and performing high-level widget processing like updating button status or calculating slider position. </para>    </briefdescription>
    <detaileddescription>
<para><simplesect kind="version"><para>3.0</para></simplesect>
<simplesect kind="copyright"><para>Copyright 2018-2020, Cypress Semiconductor Corporation. All rights reserved. You may use this file only in accordance with the license, terms, conditions, disclaimers, and limitations in the end user license agreement accompanying the software package with which this file was provided. </para></simplesect>
</para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="21"><highlight class="preprocessor">#if<sp />!defined(CY_CAPSENSE_PROCESSING_H)</highlight><highlight class="normal" /></codeline>
<codeline lineno="22"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_CAPSENSE_PROCESSING_H</highlight><highlight class="normal" /></codeline>
<codeline lineno="23"><highlight class="normal" /></codeline>
<codeline lineno="24"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_capsense_common.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="25"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_capsense_structure.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="26"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_capsense_lib.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /><highlight class="preprocessor">#if<sp />(defined(CY_IP_MXCSDV2)<sp />||<sp />defined(CY_IP_M0S8CSDV2)<sp />||<sp />defined(CY_IP_M0S8MSCV3))</highlight><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="33"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="normal" /></codeline>
<codeline lineno="36"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="37"><highlight class="comment">*<sp />Function<sp />Prototypes</highlight></codeline>
<codeline lineno="38"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="39"><highlight class="normal" /></codeline>
<codeline lineno="40"><highlight class="normal" /><highlight class="comment">/******************************************************************************/</highlight></codeline>
<codeline lineno="42"><highlight class="comment">/******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="43"><highlight class="normal">uint32_t<sp /><ref kindref="member" refid="group__group__capsense__high__level_1ga55fa694191705971b3aa2c29021fb9aa">Cy_CapSense_DecodeWidgetGestures</ref>(</highlight></codeline>
<codeline lineno="44"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />widgetId,<sp /></highlight></codeline>
<codeline lineno="45"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="48"><highlight class="comment">/******************************************************************************/</highlight></codeline>
<codeline lineno="50"><highlight class="comment">/******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="51"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__capsense__low__level_1ga1a42bc8b8c045d4c4fa3ea9b4411c247">Cy_CapSense_InitializeWidgetGestures</ref>(</highlight></codeline>
<codeline lineno="52"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />widgetId,<sp /></highlight></codeline>
<codeline lineno="53"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="54"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__capsense__low__level_1ga91d3ccdc21ed235f4e3b61a0a583c7a1">Cy_CapSense_InitializeAllStatuses</ref>(</highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="55"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__capsense__low__level_1ga0cd8087cced318d7a2ddd0aabe5d0b65">Cy_CapSense_InitializeWidgetStatus</ref>(</highlight></codeline>
<codeline lineno="56"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />widgetId,<sp /></highlight></codeline>
<codeline lineno="57"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="60"><highlight class="comment">/******************************************************************************/</highlight></codeline>
<codeline lineno="63"><highlight class="comment">/******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="64"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_DpProcessButton(</highlight></codeline>
<codeline lineno="65"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__widget__config__t">cy_stc_capsense_widget_config_t</ref><sp />*<sp />ptrWdConfig,</highlight></codeline>
<codeline lineno="66"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="67"><highlight class="normal" /></codeline>
<codeline lineno="68"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_DpProcessCsxTouchpad(</highlight></codeline>
<codeline lineno="69"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__widget__config__t">cy_stc_capsense_widget_config_t</ref><sp />*<sp />ptrWdConfig,</highlight></codeline>
<codeline lineno="70"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="71"><highlight class="normal" /></codeline>
<codeline lineno="72"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_DpProcessProximity(</highlight></codeline>
<codeline lineno="73"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__widget__config__t">cy_stc_capsense_widget_config_t</ref><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*<sp />ptrWdConfig);</highlight></codeline>
<codeline lineno="74"><highlight class="normal" /></codeline>
<codeline lineno="75"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_DpProcessCsdTouchpad(</highlight></codeline>
<codeline lineno="76"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__widget__config__t">cy_stc_capsense_widget_config_t</ref><sp />*<sp />ptrWdConfig,</highlight></codeline>
<codeline lineno="77"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="78"><highlight class="normal" /></codeline>
<codeline lineno="79"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_DpProcessSlider(</highlight></codeline>
<codeline lineno="80"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__widget__config__t">cy_stc_capsense_widget_config_t</ref><sp />*<sp />ptrWdConfig,</highlight></codeline>
<codeline lineno="81"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="82"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_DpProcessCsdMatrix(</highlight></codeline>
<codeline lineno="83"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__widget__config__t">cy_stc_capsense_widget_config_t</ref><sp />*<sp />ptrWdConfig,</highlight></codeline>
<codeline lineno="84"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="85"><highlight class="normal" /></codeline>
<codeline lineno="86"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_DpProcessCsdWidgetStatus(</highlight></codeline>
<codeline lineno="87"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__widget__config__t">cy_stc_capsense_widget_config_t</ref><sp />*<sp />ptrWdConfig,</highlight></codeline>
<codeline lineno="88"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="89"><highlight class="normal" /></codeline>
<codeline lineno="90"><highlight class="normal">uint32_t<sp />Cy_CapSense_DpProcessCsdWidgetRawCounts(</highlight></codeline>
<codeline lineno="91"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__widget__config__t">cy_stc_capsense_widget_config_t</ref><sp />*<sp />ptrWdConfig,</highlight></codeline>
<codeline lineno="92"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="93"><highlight class="normal" /></codeline>
<codeline lineno="94"><highlight class="normal">uint32_t<sp />Cy_CapSense_DpProcessCsdSensorRawCountsExt(</highlight></codeline>
<codeline lineno="95"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__widget__config__t">cy_stc_capsense_widget_config_t</ref><sp />*<sp />ptrWdConfig,</highlight></codeline>
<codeline lineno="96"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__sensor__context__t">cy_stc_capsense_sensor_context_t</ref><sp />*<sp />ptrSnsContext,</highlight></codeline>
<codeline lineno="97"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint16_t<sp />*<sp />ptrSnsRawHistory,</highlight></codeline>
<codeline lineno="98"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />*<sp />ptrSnsRawHistoryLow,</highlight></codeline>
<codeline lineno="99"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />mode,</highlight></codeline>
<codeline lineno="100"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint16_t<sp />*<sp />ptrBslnInvSns,</highlight></codeline>
<codeline lineno="101"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="102"><highlight class="normal" /></codeline>
<codeline lineno="103"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_DpProcessCsxWidgetStatus(</highlight></codeline>
<codeline lineno="104"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__widget__config__t">cy_stc_capsense_widget_config_t</ref><sp />*<sp />ptrWdConfig,</highlight></codeline>
<codeline lineno="105"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="106"><highlight class="normal" /></codeline>
<codeline lineno="107"><highlight class="normal">uint32_t<sp />Cy_CapSense_DpProcessCsxWidgetRawCounts(</highlight></codeline>
<codeline lineno="108"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__widget__config__t">cy_stc_capsense_widget_config_t</ref><sp />*<sp />ptrWdConfig,</highlight></codeline>
<codeline lineno="109"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="110"><highlight class="normal" /></codeline>
<codeline lineno="111"><highlight class="normal">uint32_t<sp />Cy_CapSense_DpProcessCsxSensorRawCountsExt(</highlight></codeline>
<codeline lineno="112"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__widget__config__t">cy_stc_capsense_widget_config_t</ref><sp />*<sp />ptrWdConfig,</highlight></codeline>
<codeline lineno="113"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__sensor__context__t">cy_stc_capsense_sensor_context_t</ref><sp />*<sp />ptrSnsContext,</highlight></codeline>
<codeline lineno="114"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint16_t<sp />*<sp />ptrSnsRawHistory,</highlight></codeline>
<codeline lineno="115"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />*<sp />ptrSnsRawHistoryLow,</highlight></codeline>
<codeline lineno="116"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />mode,</highlight></codeline>
<codeline lineno="117"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint16_t<sp />*<sp />ptrSnsBslnInv,</highlight></codeline>
<codeline lineno="118"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="119"><highlight class="normal" /></codeline>
<codeline lineno="120"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_DpUpdateDifferences(</highlight></codeline>
<codeline lineno="121"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__widget__context__t">cy_stc_capsense_widget_context_t</ref><sp />*<sp />ptrWdContext,</highlight></codeline>
<codeline lineno="122"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__sensor__context__t">cy_stc_capsense_sensor_context_t</ref><sp />*<sp />ptrSnsContext);</highlight></codeline>
<codeline lineno="123"><highlight class="normal" /></codeline>
<codeline lineno="124"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_DpUpdateThresholds(</highlight></codeline>
<codeline lineno="125"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__widget__context__t">cy_stc_capsense_widget_context_t</ref><sp />*<sp />ptrWdContext,</highlight></codeline>
<codeline lineno="126"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__smartsense__csd__noise__envelope__t">cy_stc_capsense_smartsense_csd_noise_envelope_t</ref><sp />*<sp />ptrNoiseEnvelope,</highlight></codeline>
<codeline lineno="127"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />startFlag);</highlight></codeline>
<codeline lineno="128"><highlight class="normal" /></codeline>
<codeline lineno="129"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_RunMfsFiltering(</highlight></codeline>
<codeline lineno="130"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__sensor__context__t">cy_stc_capsense_sensor_context_t</ref><sp />*<sp />ptrSnsContext,</highlight></codeline>
<codeline lineno="131"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="132"><highlight class="normal" /></codeline>
<codeline lineno="135"><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="136"><highlight class="normal">}</highlight></codeline>
<codeline lineno="137"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="138"><highlight class="normal" /></codeline>
<codeline lineno="139"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />(defined(CY_IP_MXCSDV2)<sp />||<sp />defined(CY_IP_M0S8CSDV2)<sp />||<sp />defined(CY_IP_M0S8MSCV3))<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="140"><highlight class="normal" /></codeline>
<codeline lineno="141"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CY_CAPSENSE_PROCESSING_H<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="142"><highlight class="normal" /></codeline>
<codeline lineno="143"><highlight class="normal" /></codeline>
<codeline lineno="144"><highlight class="normal" /><highlight class="comment">/*<sp />[]<sp />END<sp />OF<sp />FILE<sp />*/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_processing.h" />
  </compounddef>
</doxygen>